org.apache.cassandra.exceptions

## Class ReadFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestExecutionException
          - - org.apache.cassandra.exceptions.RequestFailureException
            - - org.apache.cassandra.exceptions.ReadFailureException

All Implemented Interfaces:
  java.io.Serializable, TransportException

    public class ReadFailureException
    extends RequestFailureException

See Also:
  Serialized Form

### Field Summary

Fields
`boolean` `dataPresent`

### Fields inherited from class org.apache.cassandra.exceptions.RequestFailureException

`blockFor, consistency, failures, received`

### Constructor Summary

Constructors
Constructor and Description
`ReadFailureException(ConsistencyLevel consistency, int received, int failures, int blockFor, boolean dataPresent)`

### Method Summary

### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

`code`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

`getMessage`

### Field Detail

#### dataPresent

    public final boolean dataPresent

### Constructor Detail

#### ReadFailureException

    public ReadFailureException(ConsistencyLevel consistency,
                                int received,
                                int failures,
                                int blockFor,
                                boolean dataPresent)